com.aliyun.svideosdk.common.struct.effect

## Class ActionRotateBy

- java.lang.Object
- - ActionRotateBase
  - - com.aliyun.svideosdk.common.struct.effect.ActionRotateBy

-     public class ActionRotateBy
      extends ActionRotateBase

  A class that defines rotations by an angle.
  See Also:
    `ActionRotate`, `ActionRotateTo`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected float` | `mFromDegree` The angle of the start point in radians.
    `protected float` | `mRotateDegree` The angle of the rotation in radians.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionRotateBy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getRotateDegree()` Gets the angle of this rotation.
    `void` | `setFromDegree(float mFromDegree)` Sets the angle in the beginning.
    `void` | `setRotateDegree(float mRotateDegree)` Sets the angle of this rotation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mFromDegree

          protected float mFromDegree

      The angle of the start point in radians.

    - #### mRotateDegree

          protected float mRotateDegree

      The angle of the rotation in radians.

  - ### Constructor Detail

    - #### ActionRotateBy

          public ActionRotateBy()

  - ### Method Detail

    - #### setFromDegree

          public void setFromDegree(float mFromDegree)

      Sets the angle in the beginning.
      Parameters:
        `mFromDegree` - The angle in the beginning.

    - #### getRotateDegree

          public float getRotateDegree()

      Gets the angle of this rotation.
      Returns:
        The angle of this rotation.

    - #### setRotateDegree

          public void setRotateDegree(float mRotateDegree)

      Sets the angle of this rotation.
      Parameters:
        `mRotateDegree` - The angle of this rotation.